<?php
declare(strict_types=1);

/**
 * Pimcore
 *
 * This source file is available under two different licenses:
 * - GNU General Public License version 3 (GPLv3)
 * - Pimcore Commercial License (PCL)
 * Full copyright and license information is available in
 * LICENSE.md which is distributed with this source code.
 *
 *  @copyright  Copyright (c) Pimcore GmbH (http://www.pimcore.org)
 *  @license    http://www.pimcore.org/license     GPLv3 and PCL
 */

namespace Pimcore\Bundle\CoreBundle\Migrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * @internal
 */
final class Version20201008132324 extends AbstractMigration
{
    public function up(Schema $schema): void
    {
        if ($schema->hasTable('locks')) {
            $this->addSql('RENAME TABLE locks TO PLEASE_DELETE__locks;');
        }
    }

    public function down(Schema $schema): void
    {
        $this->addSql('RENAME TABLE PLEASE_DELETE__locks TO locks;');
    }
}
